
# django + NextJS + Tailwind Boilerplate



## About

A Django project boilerplate/template with lots of state of the art libraries and tools like:

- django REST Framework
- NextJS
- TailwindCSS


## Extra Libraries


- django cors-headers
- React Icons
- Axios



## Features

- User Serializer is initialized 
- User register endpoint initialized 
- User Token endpoint initialized



## Installation

```bash
    git clone https://github.com/shayan-cyber/dj-Next-Tailwind-boilerplate.git

```
```bash
    cd dj-Next-Tailwind-boilerplate
```



### `Backend`

```bash
  cd Backend
```

Make virtualenv

```bash
  python -m venv env
```

Activate virtualenv

```bash
  . env/Scripts/activate
```

Install dependencies

```bash
  pip install -r requirements.txt
```

Change Directory

```bash
  cd core
```

Runserver

```bash
  python manage.py runserver
```




### `Frontend`

```bash
  cd Frontend
```


Change Directory

```bash
  cd next-failwind-frontend
```

Install dependencies

```bash
  npm i
```

Run dev

```bash
  npm run dev
```
